;;; $Id: dot-notation-mod.tst,v 1.1 2005/12/30 22:24:13 leavens Exp $

(require (lib "dot-notation-mod.scm" "lib342"))

(define dot (string->symbol "."))

(run-regression-tests-equal?
 `(
    ( (dot-notation '()) ==> () )
    ( (dot-notation 3) ==> 3 )
    ( (dot-notation (cons 3 4)) = (list 3 dot 4))
    ( (dot-notation (cons 3 '())) = (list 3 dot '()) )
    ( (dot-notation (cons 3 (cons 4 '()))) = (list 3 dot (list 4 dot '())) )
    ( (dot-notation (list 3 4 2)) = (list 3 dot (list 4 dot (list 2 dot '()))) )
    ( (dot-notation (cons '() '())) = (list '() dot '()) )
    ( (dot-notation (cons (cons 99 '()) '()))
      = (list (list 99 dot '()) dot '()) )
    ( (dot-notation (vector 1 2))
      = (vector  1 2) )
    ( (dot-notation (vector (cons 1 2)))
      = (vector (list 1 dot 2)) )
    )
 )

