;;; $Id: negate-bexp-mod.tst,v 1.3 2006/01/05 22:24:09 leavens Exp $

(require (lib "negate-bexp-mod.scm" "lib342")
         (lib "bexp-mod.scm" "lib342"))

(run-regression-tests-equal?
 `(

     ( (negate-bexp (parse-bexp 'P))
       = (parse-bexp '(not P)) )
     ( (negate-bexp (parse-bexp 'Q))
       = (parse-bexp '(not Q)) )
     ( (negate-bexp (parse-bexp '(not P)))
       = (parse-bexp 'P) )
     ( (negate-bexp (parse-bexp '(or (not P) Q)))
       = (parse-bexp '(and P (not Q))) )
     ( (negate-bexp (parse-bexp '(and P (or Q (not Q)))))
       = (parse-bexp '(or (not P) (and (not Q) Q))) )
     ( (negate-bexp (parse-bexp '(and (or P P) (or (or P P) (or Q Q)))))
       = (parse-bexp '(or (and (not P) (not P)) (and (and (not P) (not P))
                                                     (and (not Q) (not Q))))) )
    )
 )
