;;; $Id: road-map-tests.scm,v 1.2 2006/01/05 22:24:09 leavens Exp $

(module road-map-tests (lib "typedscm.ss" "typedscm")

(provide run-tests)

(define run-tests
  (lambda ()
    (run-regression-tests-equal?
     `(
       ( (roads-from (bare-earth) 'rome) = the-empty-set )
       ( (roads-from (bare-earth) 'anywhere) = the-empty-set )
       ( (roads-from (build-road 'rome 'venice (bare-earth))
                     'rome)
         = (set 'venice) )
       ( (roads-from (build-road 'rome 'venice (bare-earth))
                     'venice)
         = (set 'rome) )
       ( (roads-from (build-road 'rome 'venice (bare-earth))
                     'london)
         = (set ) )
       ( (set-equal? (roads-from (build-road 'rome 'venice
                                             (build-road 'rome 'lisbon
                                                         (bare-earth)))
                                 'rome)
                     (set 'venice 'lisbon))
         ==> #t )
       ( (roads-from (build-road 'rome 'venice
                                 (build-road 'rome 'lisbon
                                             (bare-earth)))
                     'venice)
         = (set 'rome) )
       ( (roads-from (build-road 'rome 'venice
                                 (build-road 'rome 'lisbon
                                             (bare-earth)))
                     'lisbon)
         = (set 'rome) )
       ( (roads-from (build-road 'rome 'venice
                                 (build-road 'rome 'lisbon
                                             (bare-earth)))
                     'copenhagen)
         = (set ) )

       )
     )
    ))

) ;; end module
