;;; $Header: /home/larch/research/master/typedscm/Attic/myload-from-lib.scm,v 1.1 1997/12/19 04:51:49 leavens Exp $

(define load-from-lib-c  ; TYPE: (-> ((-> (string) void))
                         ;           (-> (file-name) void))
  (let ((libdir "/home/bambam/leavens/classes/cs342/lib/"))
    (lambda (informer)
      (lambda (fn)
	; EFFECT: load the file named fn found in libdir,
	;         calling informer to tell anyone who cares about it.
	(let ((fullname (string-append libdir fn)))
	  (informer (string-append "loading " fullname " ..."))
	  (load fullname))))))

(define load-from-lib
  (load-from-lib-c (lambda (s) (display s) (newline))))

(define load-quietly-from-lib
  (load-from-lib-c (lambda (s) 0)))

  
