;;; $Id: ch3-4-modified-in-class.tst,v 1.2 2006/10/20 15:38:55 leavens Exp $
;;; Test cases for the 3-4 interpreter modified in class

(require (lib "ch3-4-modified-in-class.scm" "lib342"))

(run-regression-tests-equal?
 `(
    ( (run "let x = 3 in let y = x in +(x,y)")
      ==> 6 )
    ( (run "seq-let x = 3 in +(x, zero)")
      ==> 3 )
    ( (run "seq-let x = 3 y = x in +(x,y)")
      ==> 6 )
    ( (run "seq-let s = 7
                    y = *(s,s)
            in +(*(1000,-(s,5)), y)")
      ==> 2049 )
    ))
