;;; $Id: unary-notation-mod.scm,v 1.1 2005/12/24 22:02:29 leavens Exp $
;;; AUTHOR: Tongjie Chen and Gary T. Leavens

(module unary-notation-mod (lib "typedscm.ss" "typedscm")
  (provide unary-notation)
  
  (require (lib "sub1-mod.scm" "lib342"))

  (deftype unary-notation (-> (number) (list-of number)))
  (define unary-notation
    (lambda (n)
      ;; ENSURES: Result is a list of n 1's.
      (cond 
       ((zero? n) '())
       (else (cons 1 (unary-notation (sub1 n)))))))
)
