;;; $Id: vector-map-mod.scm,v 1.2 2006/04/05 05:15:11 leavens Exp $

(module vector-map-mod (lib "typedscm.ss" "typedscm")
 
  (provide vector-map vector-generator)

  (deftype vector-map
    (forall (S T) (-> ((-> (S) T) (vector-of S)) (vector-of T))))
  
  (require (lib "vector-generator-mod.scm" "lib342"))

  ;; Springer-Friedman, program 9.9

  (define vector-map
    (lambda (proc vec) 
      ((vector-generator (lambda (i) (proc (vector-ref vec i)))) 
       (vector-length vec))))
)
