;; $Header: /home/larch/research/master/typedscm/Attic/div5-1.scm,v 1.1 1995/10/26 22:04:02 leavens Exp $

;; To help you get started with HW5 Problem 9 (EOPL problem 5.1.3), 
;; here is an example of what has to be done to add a new primitive 
;; procedure "div".

(load-from-lib "ch5-1.scm")

(define apply-prim-op
  (lambda (prim-op args)
    (case prim-op
      ((+) (+ (car args) (cadr args)))
      ((-) (- (car args) (cadr args)))
      ((*) (* (car args) (cadr args)))
      ((div) (quotient (car args) (cadr args)))
      ((add1) (+ (car args) 1))
      ((sub1) (- (car args) 1))
      (else (error "Invalid prim-op name:" prim-op)))))

(define prim-op-names '(+ - * div add1 sub1))

(define init-env 
  (extend-env
    prim-op-names
    (map make-prim-proc prim-op-names)
    the-empty-env))
